Export an agent's manifest timeline as CSV
curl --request GET \
--url https://api.decimal.ai/api/v1/manifests/timeline/{agent_name}.csv \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.decimal.ai/api/v1/manifests/timeline/{agent_name}.csv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/manifests/timeline/{agent_name}.csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}manifests
Export an agent's manifest timeline as CSV
Export an agent’s manifest version timeline as a CSV file.
One row per manifest version, newest first, with the version label, hash, status, registration time and source, trace count, and the surfaces that changed since the previous version.
GET
/
api
/
v1
/
manifests
/
timeline
/
{agent_name}
.csv
Export an agent's manifest timeline as CSV
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Path Parameters
Cookies
Response
Successful Response
⌘I